Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news


  

Author Topic: Cannot update groovymame file (groovyarcade) Help!  (Read 1258 times)

0 Members and 1 Guest are viewing this topic.

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Cannot update groovymame file (groovyarcade) Help!
« on: December 05, 2017, 11:09:30 am »
Hi,

I download 0.190 file, I extract it and replace the old one but it does'nt work, clicking on properies it shows it as a "shared library" , I suppose that excludes it being an executable type file and that's why it won't run. What am i doing wrong?

thanks,

haynor666

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 1105
  • retro maniac
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #1 on: December 05, 2017, 01:34:26 pm »
You extracted mame64.sym instead of mame64.exe ;)

This file is from official mame package, groovymame have only one executable file.

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #2 on: December 05, 2017, 04:28:07 pm »
Sorry, I didn't explain myself properly. I was referring to Linux based groovyarcade and the file compressed I downloaded to update (only one file without extension) "groovymame". I usually just unzip and overwrite the old file to update my name system. But this time it would not work as the file appears to be wrong, (not executable).  Is anyone else using Linux and has updated to 0.190?

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #3 on: December 12, 2017, 02:55:44 am »
Files for Linux are provided in tar.bz2 format. Use the files from the Google drive location. Using the "tar xvjf <filename>" command you can extract the file and overwrite the previous groovymame executable.
« Last Edit: December 12, 2017, 02:57:27 am by Doozer »

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #4 on: December 12, 2017, 07:49:14 am »
Thanks Doozer, I'll have a look and try that way with the new 0.192 file.

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #5 on: December 13, 2017, 04:23:40 pm »
Files for Linux are provided in tar.bz2 format. Use the files from the Google drive location. Using the "tar xvjf <filename>" command you can extract the file and overwrite the previous groovymame executable.

Done. The output file is as well marked as "shared library". Still, it succesfully runs under advmenuplus frontend. However, for some reason, unlike ver. 0.186, it seems to be unable to load any rom. I've tried to make a log file using this command in /usr/local/bin:

groovymame ddragon >ddragon.txt (rom that i`m sure it's okay). Without success. Apparently, the instructions given are meant for windows. If it should work for me, could you please  provide me a hint on how to produce a log in groovyarcade from the terminal in LXDE so that we can track down the problem?

thanks,


Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #6 on: December 14, 2017, 04:07:10 am »
Files for Linux are provided in tar.bz2 format. Use the files from the Google drive location. Using the "tar xvjf <filename>" command you can extract the file and overwrite the previous groovymame executable.

Done. The output file is as well marked as "shared library". Still, it succesfully runs under advmenuplus frontend. However, for some reason, unlike ver. 0.186, it seems to be unable to load any rom. I've tried to make a log file using this command in /usr/local/bin:

groovymame ddragon >ddragon.txt (rom that i`m sure it's okay). Without success. Apparently, the instructions given are meant for windows. If it should work for me, could you please  provide me a hint on how to produce a log in groovyarcade from the terminal in LXDE so that we can track down the problem?

thanks,

For the creatino of the log file, you can use the following command in a terminal.

Code: [Select]
groovymame -verbose ddragon 2>&1 > /tmp/mame.debug.txt

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #7 on: December 14, 2017, 10:54:25 am »
Hi,

Using that command with the 0.192 file returns an empty mame.debug.txt file.
Overwritten back with former 0.18x executable files returns the attached file.

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #8 on: December 17, 2017, 06:22:47 am »
Hi,

Using that command with the 0.192 file returns an empty mame.debug.txt file.
Overwritten back with former 0.18x executable files returns the attached file.

It seems that you do not have all shared library updated on your system. (I read back your first message, was it the meaning of your text "output file marked as shared library"?)

First try updating the distro with "pacman -Syyu" and test again. If this does not make groovymame start send me the output of command "ldd groovymame" (run it in the same directory or with the path to the executable and redirect output to a file.

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #9 on: December 27, 2017, 04:29:38 am »
Sorry about the delay. Indeed that was the cause. As I was using the latest groovyarcade release I took for granted that libraries and stuff were up to date (roughly). Now it loads beautifully, thanks  :applaud:

The only inconvenient now is that any frontend, be it LXDE or Advance menu donīt output a 15 Khz signal that my SCART tv can display anymore. I suppsose it can easily be worked out by some simple re-tweaking of the proper config file. Instead, my ATI card is outputing the frontend signal from the DVI- conector (which I never meant to use). Fortunately I managed to view it with the aid o an DVI to VGA adaptor and a regular VGA monitor. On the other hand, once any rom is loaded, this is displayed at its perfect resolution on the TV screen. But I don'nt know why this has ocurred...

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #10 on: December 27, 2017, 08:19:21 am »
Sorry about the delay. Indeed that was the cause. As I was using the latest groovyarcade release I took for granted that libraries and stuff were up to date (roughly). Now it loads beautifully, thanks  :applaud:

The only inconvenient now is that any frontend, be it LXDE or Advance menu donīt output a 15 Khz signal that my SCART tv can display anymore. I suppsose it can easily be worked out by some simple re-tweaking of the proper config file. Instead, my ATI card is outputing the frontend signal from the DVI- conector (which I never meant to use). Fortunately I managed to view it with the aid o an DVI to VGA adaptor and a regular VGA monitor. On the other hand, once any rom is loaded, this is displayed at its perfect resolution on the TV screen. But I don'nt know why this has ocurred...

Hey! Well done.

If you want to have 15 Khz with X, you have to setup it in the Xorg configuration locate at "/etc/X11/xorg.conf". Normally, gasetup is taking care of setting this properly if I remember well. Otherwise, you can manually edit the file and add the following section and choose the desired output.

Code: [Select]
Section "Modes"
        Identifier      "ArcadeModes"
#        ModeLine          "648x480x60.00" 13.129200 648 672 736 840 480 482 488 521 -HSync -VSync interlace
        ModeLine          "720x576x50.00" 14.797200 720 752 824 944 576 583 589 627 -HSync -VSync interlace
EndSection

In the Monitor section add the following:

Code: [Select]
Section "Monitor"
        Identifier      "VGA-0"
        VendorName      "Unknown"
        ModelName       "Unknown"

        HorizSync       15-50
        VertRefresh     40-80

        Option          "DPMS"  "False"

        Option          "DefaultModes"  "False"
        UseModes        "ArcadeModes"
EndSection

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #11 on: December 28, 2017, 11:11:37 am »
Hi,

I already had that code in my config file. However I've copied and paste in case I might miss hash a dot or anything. I've extended the file permissions of the xorg.conf file to anyone, anyone, anyone... But still I have to browse roms blindly  :'(. In LXDE happens the same, I have to plug in a LCD monitor in the second VGA port if I want to view the desktop.

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #12 on: December 28, 2017, 03:58:46 pm »
Hi,

I already had that code in my config file. However I've copied and paste in case I might miss hash a dot or anything. I've extended the file permissions of the xorg.conf file to anyone, anyone, anyone... But still I have to browse roms blindly  :'(. In LXDE happens the same, I have to plug in a LCD monitor in the second VGA port if I want to view the desktop.

Ok I see.  Your X desktop is rendered on the second vga output and not the first one. You have to specify the output in the device section.

Code: [Select]
Option          "monitor-VGA-0" "VGA-0"

Depending of your setup, you have to put the name of the 1st video output instead. For this you can use the xrandr command.




Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #13 on: December 31, 2017, 08:18:42 am »
I already had that setup. I still cannot work out why this ocurrs.

I've attached my xorg.conf and the xsandr in case it sheds some light on the issue. At least thanks to that command I've learnt that I had a HDMI output I was unaware of, hidden behind a sticker  :laugh:



Twin-X

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 170
  • Yes this avatar was stolen too!!!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #14 on: January 03, 2018, 04:01:45 pm »
Hi, I have a similar issue I think.

I updated archlinux and all went fine.
Then I replaced groovymame to the latest one

So the menu looks fine and I can play a game just fine.

What is broken is that monitor is out of range when booting (after bios) and when starting a game.
Same behaviour if I switch to example attract mode frontend

what do I need to adjust in archlinux to get normal resolution again if I am for example in shell or attract mode?

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #15 on: January 04, 2018, 04:27:05 pm »

what do I need to adjust in archlinux to get normal resolution again if I am for example in shell or attract mode?

Good point mentioning the shell resolution issue. It means that the kernel command line might need an adjustment to start the system in 15khz mode. Check the following file: /boot/syslinux/syslinux.cfg and ensure you have the following option: vga=785 video=VGA-1:640x480ec
If needed use VGA-0 output on your system.

This is only possible with a patched Linux kernel to enalble15khz support which is the case with groovyarcade. Make sure the kernel has not been upgraded with the arch stock version.

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #16 on: January 05, 2018, 04:39:22 pm »
Hi,

In case of unwanted kernel upgrade, is the kernel an indentifyable and easily located file that can be replaced? where could I find -and take it out for further use- the groovyarcade kernel file alone?

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #17 on: January 07, 2018, 12:29:16 am »

This can be easily done by editing the /etc/pacman.conf file. Insert the following option at the right place. Once this option is set, any future updates to the system will skip the kernel updates.

Code: [Select]
IgnorePkg=linux

blontic

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 80
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #18 on: January 07, 2018, 08:54:50 am »
I bet this is my issue as well. Upgrade messed up my monitor config.

Will test

Sent from my Pixel using Tapatalk


blontic

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 80
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #19 on: January 08, 2018, 08:21:08 am »
I bet this is my issue as well. Upgrade messed up my monitor config.

Will test

Sent from my Pixel using Tapatalk

Yep this was my issue as well. It looks like running the update
Code: [Select]
sudo pacman -Syuu also updates the patched kernel which breaks the monitor settings.
I had to update the /etc/pacman.conf file first with
Code: [Select]
IgnorePkg = linux to tell it to not update the kernel when doing an update.
After that I was able to run groovymame 193 perfectly.

Cheers

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #20 on: January 09, 2018, 05:06:11 am »
IgnorePkg = linux

It seems that the issue is the same experienced by Blonty.

I have modified that line in Kernel, it was in red with a hash in front of it. Should I have that hash removed so that the text reads in blue (sorry, I`m not very used to linux) ).
I assume that it will prevent the kernel from being updated from now on, but how can I revert the my current install to the previous state? I mean, if there is a less traumatic  alternative to reinstall.

Thanks,
« Last Edit: January 09, 2018, 05:11:31 am by Edglaf »

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #21 on: January 09, 2018, 09:54:56 am »
IgnorePkg = linux

It seems that the issue is the same experienced by Blonty.

I have modified that line in Kernel, it was in red with a hash in front of it. Should I have that hash removed so that the text reads in blue (sorry, I`m not very used to linux) ).
I assume that it will prevent the kernel from being updated from now on, but how can I revert the my current install to the previous state? I mean, if there is a less traumatic  alternative to reinstall.

Thanks,

Very good question, @VES do you have a public repository for using with the downgrade command?

As a quick workaround to put the old kernel back in place, You cam copy paste the vmlinuz (only this file) from /boot/ and the /lib/modules/<kernel_version> folder from the CD file.

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #22 on: January 12, 2018, 04:50:31 am »
IgnorePkg = linux

It seems that the issue is the same experienced by Blonty.

I have modified that line in Kernel, it was in red with a hash in front of it. Should I have that hash removed so that the text reads in blue (sorry, I`m not very used to linux) ).
I assume that it will prevent the kernel from being updated from now on, but how can I revert the my current install to the previous state? I mean, if there is a less traumatic  alternative to reinstall.

Thanks,

Very good question, @VES do you have a public repository for using with the downgrade command?

As a quick workaround to put the old kernel back in place, You cam copy paste the vmlinuz (only this file) from /boot/ and the /lib/modules/<kernel_version> folder from the CD file.

Easy  :applaud: I'll try this week-end. Thanks

Edglaf

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
  • I want to build my own arcade controls!
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #23 on: January 16, 2018, 04:22:25 am »
Finally, I just preferred a clean new install as I was using an old IDE hard Disk, hoping it would boot faster I've switched to a sata disk (did'nt make much difference though). However everything is ok again :)

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 343
  • Z80 ERROR
Re: Cannot update groovymame file (groovyarcade) Help!
« Reply #24 on: January 16, 2018, 09:59:59 am »
Finally, I just preferred a clean new install as I was using an old IDE hard Disk, hoping it would boot faster I've switched to a sata disk (did'nt make much difference though). However everything is ok again :)

Wonderful! In fact the system is not IO intensive unless you plan to use CHD with low ram.

  
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31